@import "https://unpkg.com/@lqv/codebooth/dist/style.css";
.fat-fingers {
  fill: transparent;
}
@media (any-hover: hover) {
  .fat-fingers {
    display: none !important;
  }
}
@media (any-hover: none) {
  .rp-controls-help {
    display: none;
  }
}
.rp-controls-help {
  cursor: pointer;
  height: 100%;
}
.rp-help-dialog {
  background-color: rgba(0, 0, 0, 0.85);
  color: #fff;
  font-size: 1.5rem;
  height: 100vh;
  padding: 5vh 10vh;
  width: 160vh;
  position: fixed;
  left: calc(50vw - 80vh);
  top: 0;
  z-index: 1001;
}
.rp-help-dialog > button {
  background: none;
  border: none;
  color: #f00;
  cursor: pointer;
  font-family: sans-serif;
  font-size: 5em;
  position: absolute;
  right: 2%;
  top: -1%;
}
.rp-help-tables {
  display: flex;
  justify-content: space-around;
}
.rp-help-tables > table {
  border-collapse: separate;
  border-spacing: 1em 1.5em;
  font-family: sans-serif;
  vertical-align: top;
}
.rp-help-tables > table > caption {
  color: #1a69b5;
  font-family: sans-serif;
  font-size: 1.2em;
  font-weight: bold;
}
.rp-help-tables > table th {
  font-weight: normal;
  text-align: right;
}
.rp-help-tables kbd {
  color: #ff0;
}
.rp-loading-screen {
  background-color: rgba(0, 0, 0, 0.7);
  display: block;
  height: 100%;
  position: absolute;
  width: 100%;
  z-index: 10000;
}
.rp-loading-spinner {
  border: 2rem solid #f3f3f3;
  border-top: 2rem solid #1a69b5;
  border-radius: 50%;
  margin: 40vmin auto 0 auto;
  width: 20vmin;
  height: 20vmin;
  animation: spin 1s linear infinite;
}
@-moz-keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@-webkit-keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@-o-keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.draggable {
  cursor: grab;
  cursor: -webkit-grab;
}
body.dragging .lv-canvas,
body.dragging .draggable,
.dragging {
  cursor: grabbing;
  cursor: -webkit-grabbing;
}
body {
  font-family: "Alegreya";
}
* {
  -webkit-tap-highlight-color: transparent !important;
}
.lv-canvas {
  background: #121212;
  color: #fff;
}
.lv-player.editor {
  background-color: #134e86;
}
.lv-thumbnail-title,
.lv-thumbnail-time {
  font-family: "Droid Sans Mono", sans-serif;
}
.lv-settings-dialog > table > tbody > tr {
  font-family: "Roboto Slab", sans-serif;
}
.lv-controls-time {
  font-family: "Droid Sans Mono", sans-serif;
}
.lv-pausescreen {
  height: 100%;
  width: 100%;
  z-index: 10000;
  position: absolute;
  left: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.75);
}
.explore-node {
  background: #fff;
  border-radius: 4px;
  box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.4);
  cursor: pointer;
  display: inline-block;
  height: calc((27.5rem - 1.5em) * 15 / 64 + 1em);
  width: 27.5rem;
  overflow: hidden;
  text-overflow: ellipsis;
  vertical-align: top;
}
.explore-node > a {
  color: #000;
  font-weight: normal;
  display: grid;
  grid-template: "img info";
  grid-template-columns: 3fr 5fr;
  grid-column-gap: 0.5em;
  height: 100%;
  width: 100%;
  padding: 0.5em;
  text-overflow: ellipsis;
}
.explore-node-content {
  grid-area: info;
}
.explore-node .preview {
  grid-area: img;
  height: 100%;
  width: 100%;
}
.explore-node-name {
  color: #138684;
  font-family: "Alegreya", serif;
  font-size: 1.2em;
  font-weight: bold;
  display: block;
  padding: 0;
}
.explore-node-description {
  font-family: "Alegreya Sans", sans-serif;
  margin: 0;
  vertical-align: top;
  width: auto;
  text-align: left;
}
h1 {
  color: #138684;
  font-size: 13em;
  text-align: center;
  position: absolute;
  width: 100%;
  top: 5rem;
}
h2 {
  color: #1a69b5;
  font-size: 6em;
  text-align: center;
  position: absolute;
  top: 25rem;
  width: 100%;
}
.lv-canvas {
  background: #121212;
}
#intro-xn {
  color: #ae81ff;
  font-size: 6em !important;
  position: absolute !important;
  position: absolute;
  left: 0rem;
  top: 3rem;
  text-align: center;
  width: 100%;
}
.clip {
  clip-path: polygon(0% 0%, 60% 0%, 60% 100%, 0% 100%);
  -webkit-clip-path: polygon(0% 0%, 60% 0%, 60% 100%, 0% 100%);
}
#intro-speech {
  position: absolute;
  left: 55rem;
  top: 20rem;
  position: absolute !important;
  width: 20rem;
  background: #00f;
}
#intro-speech > img {
  position: absolute;
  left: 0rem;
  top: 0rem;
  width: 20rem;
  height: 10rem;
}
#intro-speech > span {
  color: #000;
  font-size: 2rem;
  width: 100%;
  text-align: center;
  position: absolute;
  left: 0rem;
  top: 2.2rem;
}
#intro-good {
  color: #1bbb68;
  font-size: 4.5rem !important;
  position: absolute !important;
  left: 5rem;
  top: 25rem;
}
#intro-confuse {
  color: #a52117;
  font-size: 4.5rem !important;
  position: absolute !important;
  right: 5rem;
  top: 23rem;
}
#exp2-link {
  position: absolute !important;
  top: 25rem;
  right: 5rem;
}
#intro-today {
  color: #1a69b5;
  font-size: 2.75rem !important;
  position: absolute !important;
  position: absolute;
  left: 5rem;
  top: 25rem;
}
#intro-today > strong {
  margin-right: 0.2em;
}
#intro-today > span > .MathJax_Display {
  color: #e6db74;
}
section h3 {
  color: #af1866;
  font-size: 3rem;
  top: 2%;
  position: absolute !important;
  text-align: center;
  width: 100%;
}
#add-eqn {
  color: #1a69b5;
  font-size: 5em !important;
  top: 20%;
  position: absolute !important;
  text-align: center;
  width: 100%;
}
#add-25-32 {
  color: #1bbb68;
  font-size: 5em !important;
  position: absolute;
  left: 25.75rem;
  top: 20rem;
  position: absolute !important;
}
#add-proof {
  color: #ae81ff;
  font-size: 4em !important;
  position: absolute !important;
  position: absolute;
  left: 16rem;
  top: 20rem;
}
#add-0 {
  color: #1bbb68;
  font-size: 5em !important;
  top: 45%;
  left: 0;
  position: absolute !important;
  text-align: center;
  width: 100%;
}
#add-is-1 {
  color: #fff;
  font-size: 5em !important;
  top: 70%;
  position: absolute !important;
  text-align: center;
  width: 100%;
}
#add-xn {
  color: #e6db74;
  font-size: 6rem !important;
  top: 50%;
  position: absolute !important;
  text-align: center;
  width: 100%;
}
#add-induct {
  color: #e6db74;
  font-size: 6rem !important;
  left: 0;
  top: 40%;
  position: absolute !important;
  text-align: center;
  width: 100%;
}
#add-induct-terms {
  position: absolute !important;
  color: #1bbb68;
  font-size: 3.5em !important;
  left: 45%;
  top: 80%;
}
#add-arrow {
  height: 6rem;
  position: absolute !important;
  left: 35%;
  top: 74%;
  z-index: 10;
}
#z0-warning {
  height: 60%;
  position: absolute;
  left: 5%;
  top: 20%;
}
#z0-0 {
  position: absolute;
  left: 16rem;
  top: 20rem;
  font-size: 4em !important;
  position: absolute !important;
}
#z0-00 {
  font-size: 4em !important;
  position: absolute;
  left: 10rem;
  top: 30rem;
  position: absolute !important;
}
.hilite-00 {
  color: #ae81ff;
}
#z0-00-q {
  color: #ae81ff;
  font-size: 12em !important;
  position: absolute !important;
  left: 50%;
  top: 30%;
}
#z0-problem {
  font-size: 9em !important;
  position: absolute !important;
  left: 45%;
  top: 30%;
}
#z0-assert {
  border-radius: 1rem 1rem;
  font-size: 10em !important;
  padding: 1rem;
  position: absolute !important;
  left: 50%;
  top: 30%;
}
#z0-convince {
  color: #ff0080;
  font-size: 5em !important;
  top: 10%;
  position: absolute !important;
  left: 7%;
}
#z0-mult-link {
  position: absolute !important;
  left: 60%;
  top: 35%;
}
#neg-eqn {
  color: #1a69b5;
  position: absolute !important;
  font-size: 4em !important;
  top: 20%;
  text-align: center;
  width: 100%;
}
#neg-eqn-2 {
  position: absolute !important;
  color: #fff;
  font-size: 6em !important;
  text-align: center;
  width: 100%;
  top: 40%;
}
#neg-ex {
  color: #1bbb68;
  font-size: 4em !important;
  text-align: center;
  width: 100%;
  position: absolute !important;
  top: 70%;
}
#neg-warning {
  height: 60%;
  position: absolute;
  left: 5%;
  top: 20%;
}
#neg-q {
  color: #ae81ff;
  font-size: 12em !important;
  position: absolute !important;
  left: 45%;
  top: 30%;
}
#neg-compare {
  position: absolute !important;
  font-size: 7em !important;
  left: 50%;
  top: 25%;
}
#neg-contrast {
  position: absolute !important;
  font-size: 7em !important;
  left: 50%;
  top: 50%;
}
#neg-undef {
  color: #e6db74;
  position: absolute !important;
  font-size: 6em !important;
  left: 45%;
  top: 30%;
}
.neg-0n {
  color: #a52117;
}
.rp-codebooth-demo {
  display: none;
}
